<?php
$to = 'recipient@example.com';
$subject = 'PHP: Sending HTML Email - Example';
$message = '<html>
<head>
  <title>PHP: Sending HTML Email - Example</title>
</head>
<body>
  <h1>Hello!</h1>
  <p>This is an example using PHP to send HTML Email.</p>
</body>
</html>';

// Set content-type header to declare that this is an HTML email
$headers = "MIME-Version: 1.0" . "\r\n";
$headers .= "Content-type: text/html; charset=UTF-8" . "\r\n";

// more headers
$headers .= "From: sender@example.com" . "\r\n";
$headers .= "Reply-To: sender@example.com" . "\r\n";

// Send the HTML email
// IMPORTANT: Your web server should be configured with PHP 
// to send email. If you are trying from your localhost, most 
// likely it will not work and give errors like SMTP Error etc..
// If you are using a shared server, it may work as those come 
// with the required setup and configuration.
$mailSent = mail($to, $subject, $message, $headers);

// Check if the email was sent successfully
if ($mailSent) {
  echo 'HTML Email sent successfully.';
} else {
  echo 'Failed to send email.';
}
